Skip to main content
GET
/
{workspace_id}
/
users
/
{user_id}
/
superagents
List user Super Agents
curl --request GET \
  --url https://app.base44.com/api/v1/monitoring/{workspace_id}/users/{user_id}/superagents \
  --header 'api_key: <api-key>'
{
  "superagent_ids": [
    "<string>"
  ],
  "pagination": {
    "total": 156,
    "limit": 50,
    "has_more": true,
    "next_cursor": "eyJsYXN0X2lkIjoiMTIzIn0="
  }
}

Authorizations

api_key
string
header
required

API key for authentication. See the Authentication page for your API for details on how to get your key.

Path Parameters

workspace_id
string
required
user_id
string
required

User ID.

Query Parameters

limit
integer
default:50

Items per page. Max 50.

Required range: 1 <= x <= 50
cursor
string | null

Pagination cursor from previous response.

from
string | null

Start date in YYYY-MM-DD format for credit-consuming sort fields. Required if to is provided. Defaults to billing period start.

to
string | null

End date in YYYY-MM-DD format for credit-consuming sort fields. Required if from is provided. Defaults to current date.

sort
string | null

Sort field. Prefix with - for descending. Supported fields: superagent_name, created_at, created_by_email, owner_user_id, active_users_last_30d, message_credits_consumed, integration_credits_consumed, total_credits_consumed.

search
string | null

Case-insensitive search over Super Agent name and creator email.

Maximum string length: 100
visibility
string | null

Filter by Super Agent visibility. Accepts private, workspace, public_with_login, public_without_login, or public.

active
boolean | null

Filter to Super Agents with (true) or without (false) active users in the last 30 days.

Response

Successful Response

Simplified user Super Agents response - returns Super Agent IDs only.

superagent_ids
string[]
required

List of Super Agent IDs.

pagination
PaginationMetadata · object
required

Pagination metadata.